<div class="d-block" class="w-100 h-100 p-2 pb-3">
  <p class="text-center h-100 align-middle" *ngIf="!dpSet">Please Selected Data Provider</p>
  <p class="text-center h-100 align-middle" *ngIf="dpSet && !isViewDataTypeSupported">Data Provider Not Supported</p>
  <div *ngIf="myAlerts?.length > 0" >
    <accordion>
      <accordion-group heading="Found alerts">
          <div *ngFor="let alert of myAlerts">
              <alert type="danger" dismissible="true">{{ alert }}</alert>
          </div>
      </accordion-group>
    </accordion>
  </div>
 
  <div #plotlyGraph class="w-100 h-100" *ngIf="dpSet && isViewDataTypeSupported"></div>
</div>